

package gov.va.med.cds.hapi;


import java.util.List;


public interface HL7SupportInterface
{

    String toEr7( );


    String toXml( );


    String getSendingApplication( );


    String getMessageControlId( );


    String getRequestWhatCode( );


    String getReceivingApplication( );

    String getReceivingFacilityStation( );
    String getReceivingFacility( );
    String getReceivingFacilityType( );
    String getFullReceivingFacility( );

    String getStationNumber( );
    String getSendingFacility( );
    String getSendingFacilityType( );
    String getFullSendingFacility( );
    
    String createHl7WriteAckReject(String rejectMessage );


    String getApplicationAcknowledgement( List<Exception> exceptionList, String vhimResponse, List<String> ignoreAppAckSendingApps);
    

    String getApplicationAcknowledgementType( );


    String getAcknowledgementCode( );
    
    
    String getAckOriginalMessageControlId( );
    

    String getMessageData( String terserPath );


    String createMessageControlId( );


    String createMessageDateTime( );


    String getMessageType( );


    String getMessageDateTime( );


    String getMessageUserId( );

    
    String getSurveyVersion( );
    
}
